com.genesyslab.wfm7.API.service.config761

## Class CfgReport

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config761.CfgReport

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgReport
      extends java.lang.Object
      implements java.io.Serializable

  Represents an instance of auto-generated report
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private long` | `timestamp` A timestamp value -- marks the point in time when Object information was obtained
    `private java.lang.String` | `wmLocation` Relative location of report file
    `private java.lang.String` | `wmMessage` A message related to report status
    `private int` | `wmReportId` Unique report ID
    `private int` | `wmReportTaskId` Identifies `CfgReportTask` that report was built for
    `private int` | `wmStatus` Report Status `ECfgReportStatus`
    `private double` | `wmTimestamp` Report timestamp (in GMT/UTC time zone) `OleDateTime`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgReport()`
    `CfgReport(int wmReportId, int wmReportTaskId, double wmTimestamp, int wmStatus, java.lang.String wmMessage, java.lang.String wmLocation, long timestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getTimestamp()` Gets the timestamp value for this CfgReport.
    `java.lang.String` | `getWmLocation()` Gets the wmLocation value for this CfgReport.
    `java.lang.String` | `getWmMessage()` Gets the wmMessage value for this CfgReport.
    `int` | `getWmReportId()` Gets the wmReportId value for this CfgReport.
    `int` | `getWmReportTaskId()` Gets the wmReportTaskId value for this CfgReport.
    `int` | `getWmStatus()` Gets the wmStatus value for this CfgReport.
    `double` | `getWmTimestamp()` Gets the wmTimestamp value for this CfgReport.
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this CfgReport.
    `void` | `setWmLocation(java.lang.String wmLocation)` Sets the wmLocation value for this CfgReport.
    `void` | `setWmMessage(java.lang.String wmMessage)` Sets the wmMessage value for this CfgReport.
    `void` | `setWmReportId(int wmReportId)` Sets the wmReportId value for this CfgReport.
    `void` | `setWmReportTaskId(int wmReportTaskId)` Sets the wmReportTaskId value for this CfgReport.
    `void` | `setWmStatus(int wmStatus)` Sets the wmStatus value for this CfgReport.
    `void` | `setWmTimestamp(double wmTimestamp)` Sets the wmTimestamp value for this CfgReport.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmReportId

          private int wmReportId

      Unique report ID

    - #### wmReportTaskId

          private int wmReportTaskId

      Identifies `CfgReportTask` that report was built for

    - #### wmTimestamp

          private double wmTimestamp

      Report timestamp (in GMT/UTC time zone) `OleDateTime`

    - #### wmStatus

          private int wmStatus

      Report Status `ECfgReportStatus`

    - #### wmMessage

          private java.lang.String wmMessage

      A message related to report status

    - #### wmLocation

          private java.lang.String wmLocation

      Relative location of report file

    - #### timestamp

          private long timestamp

      A timestamp value -- marks the point in time when Object information was obtained

  - ### Constructor Detail

    - #### CfgReport

          public CfgReport()

    - #### CfgReport

          public CfgReport(int wmReportId,
                   int wmReportTaskId,
                   double wmTimestamp,
                   int wmStatus,
                   java.lang.String wmMessage,
                   java.lang.String wmLocation,
                   long timestamp)

  - ### Method Detail

    - #### getWmReportId

          public int getWmReportId()

      Gets the wmReportId value for this CfgReport.
      Returns:
        wmReportId

    - #### setWmReportId

          public void setWmReportId(int wmReportId)

      Sets the wmReportId value for this CfgReport.
      Parameters:
        `wmReportId` -

    - #### getWmReportTaskId

          public int getWmReportTaskId()

      Gets the wmReportTaskId value for this CfgReport.
      Returns:
        wmReportTaskId

    - #### setWmReportTaskId

          public void setWmReportTaskId(int wmReportTaskId)

      Sets the wmReportTaskId value for this CfgReport.
      Parameters:
        `wmReportTaskId` -

    - #### getWmTimestamp

          public double getWmTimestamp()

      Gets the wmTimestamp value for this CfgReport.
      Returns:
        wmTimestamp

    - #### setWmTimestamp

          public void setWmTimestamp(double wmTimestamp)

      Sets the wmTimestamp value for this CfgReport.
      Parameters:
        `wmTimestamp` -

    - #### getWmStatus

          public int getWmStatus()

      Gets the wmStatus value for this CfgReport.
      Returns:
        wmStatus

    - #### setWmStatus

          public void setWmStatus(int wmStatus)

      Sets the wmStatus value for this CfgReport.
      Parameters:
        `wmStatus` -

    - #### getWmMessage

          public java.lang.String getWmMessage()

      Gets the wmMessage value for this CfgReport.
      Returns:
        wmMessage

    - #### setWmMessage

          public void setWmMessage(java.lang.String wmMessage)

      Sets the wmMessage value for this CfgReport.
      Parameters:
        `wmMessage` -

    - #### getWmLocation

          public java.lang.String getWmLocation()

      Gets the wmLocation value for this CfgReport.
      Returns:
        wmLocation

    - #### setWmLocation

          public void setWmLocation(java.lang.String wmLocation)

      Sets the wmLocation value for this CfgReport.
      Parameters:
        `wmLocation` -

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this CfgReport.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this CfgReport.
      Parameters:
        `timestamp` -

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.